---
search:
  tags:
    - OrgStructure
    - POST
seo:
  description: >-
    Security: Any user holding a… Reference for the POST
    /v1/warehouses/{warehouseId}/orgstructure/units/byids endpoint in the Bpanda
    REST API (experimental).
sidebar:
  label: List all units with the given IDs.
  badge: POST
title: List all units with the given IDs.
type: openapi-operation
---
List all units with the given IDs.
      Get organizational units by ids.

**Security:** Any user holding a Bpanda licence for the process space.

`POST /v1/warehouses/{warehouseId}/orgstructure/units/byids`

**Request body** (`application/json`, required)

IDs of the orgs

- `ids` (string[], required)

Request body example:

```json
{
  "ids": [
    "string"
  ]
}
```

**Responses**

- `200` — The available orgs.

Response example, 200:

```json
[
  {
    "breadcrumbs": [
      {
        "id": "string",
        "name": "string"
      }
    ],
    "deputy": [
      "string"
    ],
    "description": [
      {
        "format": "BBCode",
        "text": {
          "translations": [
            {
              "language": "string",
              "value": "string"
            }
          ],
          "value": "string"
        }
      }
    ],
    "explicitRoleIds": [
      "string"
    ],
    "external": true,
    "id": "string",
    "members": [
      "string"
    ],
    "parentId": "string",
    "responsible": [
      "string"
    ],
    "title": {
      "translations": [
        {
          "language": "string",
          "value": "string"
        }
      ],
      "value": "string"
    },
    "type": "string"
  }
]
```
